return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "AtomicBattery",
	'template_class', "ElectricityStorage",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{942593572184, --[[ModItemBuildingTemplate AtomicBattery pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{424425380920, --[[ModItemBuildingTemplate AtomicBattery pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Concrete', 5000,
	'construction_cost_Metals', 6000,
	'construction_cost_Polymers', 5000,
	'construction_cost_MachineParts', 2000,
	'build_points', 2000,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'construction_state', "full",
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{630200209521, --[[ModItemBuildingTemplate AtomicBattery upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{110975236984, --[[ModItemBuildingTemplate AtomicBattery upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate AtomicBattery upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate AtomicBattery upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate AtomicBattery upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate AtomicBattery upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Polymers",
	'maintenance_resource_amount', 2000,
	'maintenance_threshold_base', 150000,
	'display_name', T{517187823530, --[[ModItemBuildingTemplate AtomicBattery display_name]] "原子蓄电池"},
	'display_name_pl', T{354353041797, --[[ModItemBuildingTemplate AtomicBattery display_name_pl]] "原子蓄电站"},
	'description', T{201694325917, --[[ModItemBuildingTemplate AtomicBattery description]] "储存能源。高容量与最高输出，但是充电慢。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/atomic_batteries.tga",
	'build_pos', 7,
	'entity', "AtomicBattery",
	'encyclopedia_image', "UI/Encyclopedia/AtomicAccumulator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Outside_09",
	'demolish_sinking', range(15, 30),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 0,
	'max_electricity_charge', 500000,
	'max_electricity_discharge', 500000,
	'conversion_efficiency', 100,
	'capacity', 20000000,
	'charge_animation', "charge",
	'empty_state', "idle",
	'full_state', "full",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Battery_WaterFuelCell",
	'template_class', "ElectricityStorage",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{499215945086, --[[ModItemBuildingTemplate Battery_WaterFuelCell pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{568952565197, --[[ModItemBuildingTemplate Battery_WaterFuelCell pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Concrete', 3000,
	'construction_cost_Metals', 6000,
	'construction_cost_Polymers', 2000,
	'construction_cost_MachineParts', 2000,
	'build_points', 1500,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'construction_state', "full",
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{630200209521, --[[ModItemBuildingTemplate Battery_WaterFuelCell upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{110975236984, --[[ModItemBuildingTemplate Battery_WaterFuelCell upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate Battery_WaterFuelCell upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate Battery_WaterFuelCell upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate Battery_WaterFuelCell upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate Battery_WaterFuelCell upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Polymers",
	'maintenance_threshold_base', 150000,
	'display_name', T{456860589855, --[[ModItemBuildingTemplate Battery_WaterFuelCell display_name]] "蓄电池"},
	'display_name_pl', T{823649450172, --[[ModItemBuildingTemplate Battery_WaterFuelCell display_name_pl]] "蓄电池"},
	'description', T{376829277514, --[[ModItemBuildingTemplate Battery_WaterFuelCell description]] "储存电力，供电量受电池最大输出值限制。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/fuel_cell.tga",
	'build_pos', 6,
	'entity', "FuelCell",
	'encyclopedia_image', "UI/Encyclopedia/PowerAccumulator.tga",
	'build_shortcut1', "K",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Battery_WaterFuelCell",
	'demolish_sinking', range(5, 5),
	'demolish_tilt_angle', range(900, 1200),
	'demolish_debris', 85,
	'max_electricity_charge', 200000,
	'max_electricity_discharge', 200000,
	'conversion_efficiency', 100,
	'capacity', 2000000,
	'charge_animation', "charge",
	'empty_state', "idle",
	'full_state', "full",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MOXIE",
	'template_class', "MOXIE",
	'pin_rollover_context', "air",
	'pin_rollover_hint', T{643320158207, --[[ModItemBuildingTemplate MOXIE pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{476731659559, --[[ModItemBuildingTemplate MOXIE pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Metals', 5000,
	'construction_cost_MachineParts', 2000,
	'build_points', 1500,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "MOXIE_MagneticFiltering",
	'upgrade1_display_name', T{305910255595, --[[ModItemBuildingTemplate MOXIE upgrade1_display_name]] "磁性过滤"},
	'upgrade1_description', T{779666842972, --[[ModItemBuildingTemplate MOXIE upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/magnetic_filtering_01.tga",
	'upgrade1_upgrade_cost_Polymers', 5000,
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "MOXIE",
	'upgrade1_mod_prop_id_1', "air_production",
	'upgrade1_mul_value_1', 100,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate MOXIE upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate MOXIE upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate MOXIE upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate MOXIE upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 2000,
	'maintenance_threshold_base', 150000,
	'display_name', T{952788438930, --[[ModItemBuildingTemplate MOXIE display_name]] "火星氧搜集装置"},
	'display_name_pl', T{127624900114, --[[ModItemBuildingTemplate MOXIE display_name_pl]] "火星氧搜集装置"},
	'description', T{652320885081, --[[ModItemBuildingTemplate MOXIE description]] "生产氧气，在沙尘暴期间没有产能。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/moxie.tga",
	'entity', "Moxie",
	'encyclopedia_text', T{895796787414, --[[ModItemBuildingTemplate MOXIE encyclopedia_text]] "火星氧搜集装置仪器，应用 MOXIE (Mars Oxygen In situ resource utilization Experiment 的缩写) 科技，从富含二氧化碳的火星大气中产生氧气。\r\n\r\n<center><image UI/Common/rollover_line.tga 2000> <left>\r\n\r\n在二十世纪开发，但在二十一世纪初期首次在火星漫游车上进行测试，在当时的这项实验技术现在成为我们在外星世界第一个殖民地的生命支持骨干。\r\n\r\n这些仪器只需要电力和定期维护，当然，这与我们的殖民地的生命线息息相关。"},
	'encyclopedia_image', "UI/Encyclopedia/MOXIE.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Moxie",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 2000,
	'air_production', 20000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "MoistureVaporator",
	'template_class', "MoistureVaporator",
	'pin_rollover_context', "water",
	'pin_rollover_hint', T{373632013502, --[[ModItemBuildingTemplate MoistureVaporator pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{976190434012, --[[ModItemBuildingTemplate MoistureVaporator pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Metals', 2000,
	'construction_cost_Polymers', 5000,
	'construction_cost_MachineParts', 2000,
	'build_points', 3000,
	'require_prefab', true,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "MoistureVaporator_HygroscopicCoating",
	'upgrade1_display_name', T{329514066392, --[[ModItemBuildingTemplate MoistureVaporator upgrade1_display_name]] "吸水涂料"},
	'upgrade1_description', T{280522412113, --[[ModItemBuildingTemplate MoistureVaporator upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/hygroscopic_coating_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "MoistureVaporator",
	'upgrade1_mod_prop_id_1', "water_production",
	'upgrade1_mul_value_1', 100,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "VectorPump",
	'upgrade2_display_name', T{551343340061, --[[ModItemBuildingTemplate MoistureVaporator upgrade2_display_name]] "向量泵"},
	'upgrade2_description', T{443307039979, --[[ModItemBuildingTemplate MoistureVaporator upgrade2_description]] "+<upgrade2_mul_value_1>% 产量。"},
	'upgrade2_icon', "UI/Icons/Upgrades/vector_pump_01.tga",
	'upgrade2_upgrade_cost_Polymers', 5000,
	'upgrade2_mod_label_1', "MoistureVaporator",
	'upgrade2_mod_prop_id_1', "water_production",
	'upgrade2_mul_value_1', 100,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate MoistureVaporator upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate MoistureVaporator upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 2000,
	'maintenance_threshold_base', 150000,
	'display_name', T{198654906051, --[[ModItemBuildingTemplate MoistureVaporator display_name]] "水分蒸发机"},
	'display_name_pl', T{605862512985, --[[ModItemBuildingTemplate MoistureVaporator display_name_pl]] "水分蒸发机"},
	'description', T{299537756633, --[[ModItemBuildingTemplate MoistureVaporator description]] "从大气中收集水分，太靠近其他搜集器会降低产量。在沙尘暴期间无法产出。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/moisture_vaporator.tga",
	'build_pos', 4,
	'entity', "MoistureVaporator",
	'show_range_all', true,
	'encyclopedia_text', T{768848324829, --[[ModItemBuildingTemplate MoistureVaporator encyclopedia_text]] "当沉积水不再是可行的选择，水分蒸发器提供了无限的、速度更慢、更耗能的水供应。\r\n\r\n<center><image UI/Common/rollover_line.tga 2000> <left>\r\n\r\n湿气蒸发器基于WAVAR技术（水蒸气吸附反应器），该过程通过在沸石吸附床上交替吹气并加热提取吸收的水气，从火星大气中直接提取水。\r\n虽然出水量少于水资源挖掘机，但其产生的水量并不止于此，其机械简单性意味着水分蒸发机可以部署在火星表面的任何地方。"},
	'encyclopedia_image', "UI/Encyclopedia/MoistureVaporator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "MoistureVaporator",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 5000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "OxygenTank",
	'template_class', "OxygenTank",
	'pin_rollover_context', "air",
	'pin_rollover_hint', T{703133301441, --[[ModItemBuildingTemplate OxygenTank pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{947935464503, --[[ModItemBuildingTemplate OxygenTank pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Metals', 3000,
	'construction_cost_MachineParts', 2000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{630200209521, --[[ModItemBuildingTemplate OxygenTank upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{110975236984, --[[ModItemBuildingTemplate OxygenTank upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate OxygenTank upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate OxygenTank upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate OxygenTank upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate OxygenTank upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Metals",
	'maintenance_threshold_base', 150000,
	'display_name', T{913949206716, --[[ModItemBuildingTemplate OxygenTank display_name]] "氧气罐"},
	'display_name_pl', T{335231548845, --[[ModItemBuildingTemplate OxygenTank display_name_pl]] "氧气罐"},
	'description', T{271200655232, --[[ModItemBuildingTemplate OxygenTank description]] "储存氧气。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/oxygen_tank.tga",
	'build_pos', 2,
	'entity', "AirTank",
	'encyclopedia_image', "UI/Encyclopedia/OxygenTank.tga",
	'entity2', "AirTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'color_modifier', RGBA(18, 248, 27, 255),
	'palettes', "OxugenTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'max_air_charge', 100000,
	'max_air_discharge', 100000,
	'air_capacity', 1000000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "ShuttleHub",
	'template_class', "ShuttleHub",
	'pin_rollover_hint', T{347902252586, --[[ModItemBuildingTemplate ShuttleHub pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{320047891940, --[[ModItemBuildingTemplate ShuttleHub pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 10000,
	'construction_cost_Metals', 6000,
	'construction_cost_Polymers', 15000,
	'construction_cost_Electronics', 10000,
	'construction_cost_MachineParts', 2000,
	'build_points', 5000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'achievement', "FirstShuttleHub",
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{630200209521, --[[ModItemBuildingTemplate ShuttleHub upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{110975236984, --[[ModItemBuildingTemplate ShuttleHub upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate ShuttleHub upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate ShuttleHub upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate ShuttleHub upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate ShuttleHub upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Electronics",
	'maintenance_threshold_base', 150000,
	'consumption_resource_type', "Fuel",
	'consumption_max_storage', 50000,
	'consumption_type', 3,
	'display_name', T{661355120514, --[[ModItemBuildingTemplate ShuttleHub display_name]] "穿梭机服务站"},
	'display_name_pl', T{901547203419, --[[ModItemBuildingTemplate ShuttleHub display_name_pl]] "穿梭机服务站"},
	'description', T{208042728967, --[[ModItemBuildingTemplate ShuttleHub description]] "存放并给穿梭机加油，可以促进各存放区之间的远程资源运输，也可以重新安排各穹顶之间的殖民者。"},
	'build_category', "Infrastructure",
	'display_icon', "UI/Icons/Buildings/shuttle_hub.tga",
	'build_pos', 7,
	'entity', "ShuttleHub",
	'encyclopedia_image', "UI/Encyclopedia/ShuttleHub.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "ShuttleHUb",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_consumption', 10000,
	'water_consumption', 0,
	'starting_shuttles', 13,
	'max_shuttles', 16,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "UniversalStorageDepot",
	'template_class', "UniversalStorageDepot",
	'pin_rollover_hint', T{847771933255, --[[ModItemBuildingTemplate UniversalStorageDepot pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{470497035670, --[[ModItemBuildingTemplate UniversalStorageDepot pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Metals', 6000,
	'construction_cost_MachineParts', 2000,
	'build_points', 3000,
	'instant_build', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{630200209521, --[[ModItemBuildingTemplate UniversalStorageDepot upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{110975236984, --[[ModItemBuildingTemplate UniversalStorageDepot upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate UniversalStorageDepot upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate UniversalStorageDepot upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate UniversalStorageDepot upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate UniversalStorageDepot upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'use_demolished_state', true,
	'maintenance_resource_type', "MachineParts",
	'maintenance_threshold_base', 150000,
	'display_name', T{684963281716, --[[ModItemBuildingTemplate UniversalStorageDepot display_name]] "通用存放区"},
	'display_name_pl', T{653689011248, --[[ModItemBuildingTemplate UniversalStorageDepot display_name_pl]] "通用存放区"},
	'description', T{629253116145, --[[ModItemBuildingTemplate UniversalStorageDepot description]] "存储每个可移动资源  单位。 剩余资源将自动发送到无人机范围内的其他存放区。"},
	'build_category', "Storages",
	'display_icon', "UI/Icons/Buildings/universal_storage.tga",
	'entity', "StorageDepot",
	'encyclopedia_image', "UI/Encyclopedia/UniversalDepot.tga",
	'build_shortcut1', "U",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'on_off_button', false,
	'prio_button', false,
	'palettes', "MoholeMine",
	'demolish_sinking', range(15, 30),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 0,
	'max_storage_per_resource', 300000,
	'switch_fill_order', false,
	'fill_group_idx', 9,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WaterExtractor",
	'template_class', "WaterExtractor",
	'resource_produced1', "WasteRock",
	'production_per_day1', 20000,
	'stockpile_class1', "WasteRockStockpile",
	'resource_produced2', "WasteRock",
	'max_storage2', 10000,
	'stockpile_class2', "WasteRockStockpile",
	'pin_rollover_context', "water",
	'pin_rollover_hint', T{912626933943, --[[ModItemBuildingTemplate WaterExtractor pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{137609640254, --[[ModItemBuildingTemplate WaterExtractor pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 6000,
	'construction_cost_Metals', 6000,
	'construction_cost_MachineParts', 2000,
	'build_points', 3000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "WaterExtractor_FueledExtractor",
	'upgrade1_display_name', T{519063107158, --[[ModItemBuildingTemplate WaterExtractor upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{261692161371, --[[ModItemBuildingTemplate WaterExtractor upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "WaterExtractor",
	'upgrade1_mod_prop_id_1', "water_production",
	'upgrade1_mul_value_1', 100,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 200,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "WaterExtractor_Amplify",
	'upgrade2_display_name', T{164791178434, --[[ModItemBuildingTemplate WaterExtractor upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{942040567443, --[[ModItemBuildingTemplate WaterExtractor upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "WaterExtractor",
	'upgrade2_mod_prop_id_1', "water_production",
	'upgrade2_mul_value_1', 100,
	'upgrade2_mod_label_2', "WaterExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "WaterExtractor_MagneticExtraction",
	'upgrade3_display_name', T{716949424421, --[[ModItemBuildingTemplate WaterExtractor upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{265836965000, --[[ModItemBuildingTemplate WaterExtractor upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "WaterExtractor",
	'upgrade3_mod_prop_id_1', "water_production",
	'upgrade3_mul_value_1', 100,
	'maintenance_resource_type', "MachineParts",
	'maintenance_threshold_base', 150000,
	'display_name', T{332779821451, --[[ModItemBuildingTemplate WaterExtractor display_name]] "水资源挖掘机"},
	'display_name_pl', T{209617987316, --[[ModItemBuildingTemplate WaterExtractor display_name_pl]] "水资源挖掘机"},
	'description', T{174160550876, --[[ModItemBuildingTemplate WaterExtractor description]] "从地下矿藏中提取水分。在寒流中无法生产 所有的挖掘机都会污染附近的建筑物。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/water_extractor.tga",
	'build_pos', 3,
	'entity', "WaterExtractor",
	'encyclopedia_image', "UI/Encyclopedia/WaterExtractor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterExtractor",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(0, 0),
	'demolish_debris', 0,
	'electricity_consumption', 5000,
	'water_production', 50000,
	'exploitation_resource', "Water",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WaterTank",
	'template_class', "WaterTank",
	'pin_rollover_context', "water",
	'pin_rollover_hint', T{420753852616, --[[ModItemBuildingTemplate WaterTank pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{331119291859, --[[ModItemBuildingTemplate WaterTank pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'pin_progress_value', "current_storage",
	'pin_progress_max', "storage_capacity",
	'construction_cost_Metals', 3000,
	'construction_cost_MachineParts', 2000,
	'build_points', 2000,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "RegolithExtractor_FueledExtractor",
	'upgrade1_display_name', T{630200209521, --[[ModItemBuildingTemplate WaterTank upgrade1_display_name]] "助燃式挖掘机"},
	'upgrade1_description', T{110975236984, --[[ModItemBuildingTemplate WaterTank upgrade1_description]] "+<upgrade1_mul_value_1>% 只要建筑物供应燃料，就可以生产。 如果未提供燃料，建筑将继续运行，但将失去加成。"},
	'upgrade1_icon', "UI/Icons/Upgrades/fueled_extractor_01.tga",
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "RegolithExtractor",
	'upgrade1_mod_prop_id_1', "production_per_day1",
	'upgrade1_mul_value_1', 50,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate WaterTank upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate WaterTank upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate WaterTank upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate WaterTank upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "Metals",
	'maintenance_threshold_base', 150000,
	'display_name', T{374656663052, --[[ModItemBuildingTemplate WaterTank display_name]] "水塔"},
	'display_name_pl', T{190757418494, --[[ModItemBuildingTemplate WaterTank display_name_pl]] "水塔"},
	'description', T{848738319783, --[[ModItemBuildingTemplate WaterTank description]] "存储水资源。在寒流中不起作用。"},
	'build_category', "Life-Support",
	'display_icon', "UI/Icons/Buildings/water_tank.tga",
	'build_pos', 5,
	'entity', "WaterTank",
	'encyclopedia_image', "UI/Encyclopedia/WaterTank.tga",
	'entity2', "WaterTankChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WaterTank",
	'demolish_sinking', range(1, 5),
	'demolish_tilt_angle', range(60, 300),
	'demolish_debris', 76,
	'max_water_charge', 100000,
	'max_water_discharge', 100000,
	'water_capacity', 1000000,
	'freeze_time', 1000,
	'defrost_time', 1000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "WindTurbine",
	'template_class', "WindTurbine",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{155263452540, --[[ModItemBuildingTemplate WindTurbine pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400>选择"},
	'pin_rollover_hint_xbox', T{628911896969, --[[ModItemBuildingTemplate WindTurbine pin_rollover_hint_xbox]] "<image UI/PS4/Cross.tga> 查看"},
	'construction_cost_Concrete', 4000,
	'construction_cost_Metals', 6000,
	'construction_cost_MachineParts', 1000,
	'build_points', 1500,
	'is_tall', true,
	'dome_forbidden', true,
	'force_extend_bb_during_placement_checks', 12000,
	'hide_from_build_menu', true,
	'upgrade1_id', "WindTurbine_PolymerBlades",
	'upgrade1_display_name', T{434920159164, --[[ModItemBuildingTemplate WindTurbine upgrade1_display_name]] "聚合物叶片"},
	'upgrade1_description', T{998211558867, --[[ModItemBuildingTemplate WindTurbine upgrade1_description]] "+<upgrade1_mul_value_1>% 产量。"},
	'upgrade1_icon', "UI/Icons/Upgrades/polymer_blades_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_upgrade_cost_MachineParts', 5000,
	'upgrade1_mod_label_1', "WindTurbine",
	'upgrade1_mod_prop_id_1', "electricity_production",
	'upgrade1_mul_value_1', 100,
	'upgrade1_consumption_resource_type', "Fuel",
	'upgrade1_consumption_amount', 800,
	'upgrade1_consumption_resource_stockpile_spot_name', "",
	'upgrade2_id', "RegolithExtractor_Amplify",
	'upgrade2_display_name', T{696371086713, --[[ModItemBuildingTemplate WindTurbine upgrade2_display_name]] "增幅"},
	'upgrade2_description', T{963084173433, --[[ModItemBuildingTemplate WindTurbine upgrade2_description]] "+<upgrade2_mul_value_1>% 产量； + 消耗。"},
	'upgrade2_icon', "UI/Icons/Upgrades/amplify_01.tga",
	'upgrade2_upgrade_cost_Polymers', 2000,
	'upgrade2_mod_label_1', "RegolithExtractor",
	'upgrade2_mod_prop_id_1', "production_per_day1",
	'upgrade2_mul_value_1', 25,
	'upgrade2_mod_label_2', "RegolithExtractor",
	'upgrade2_mod_prop_id_2', "electricity_consumption",
	'upgrade2_add_value_2', 10000,
	'upgrade3_id', "RegolithExtractor_MagneticExtraction",
	'upgrade3_display_name', T{995650186657, --[[ModItemBuildingTemplate WindTurbine upgrade3_display_name]] "磁性提取"},
	'upgrade3_description', T{726980839874, --[[ModItemBuildingTemplate WindTurbine upgrade3_description]] "+<upgrade3_mul_value_1>% 产量。"},
	'upgrade3_icon', "UI/Icons/Upgrades/magnetic_extraction_01.tga",
	'upgrade3_upgrade_cost_Electronics', 5000,
	'upgrade3_upgrade_cost_MachineParts', 5000,
	'upgrade3_mod_label_1', "RegolithExtractor",
	'upgrade3_mod_prop_id_1', "production_per_day1",
	'upgrade3_mul_value_1', 50,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 500,
	'maintenance_threshold_base', 150000,
	'display_name', T{942904106760, --[[ModItemBuildingTemplate WindTurbine display_name]] "风力发电机"},
	'display_name_pl', T{706491149274, --[[ModItemBuildingTemplate WindTurbine display_name_pl]] "风力发电机"},
	'description', T{151704381495, --[[ModItemBuildingTemplate WindTurbine description]] "产生电力。在沙尘暴和高海拔地区增加发电量。"},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/wind_turbine.tga",
	'build_pos', 3,
	'entity', "WindTurbine",
	'encyclopedia_text', T{755706497939, --[[ModItemBuildingTemplate WindTurbine encyclopedia_text]] "风力发电机从火星风中产生电力。产生的量取决于它们暴露的风力有多大，所以适当的定位是必不可少的，因为更高的地面往往有更多的风。\r\n\r\n<center><image UI/Common/rollover_line.tga 2000> <left>\r\n\r\n虽然火星上的风速一般较低，但在沙尘暴期间可以达到令人难以置信的速度。尽管如此，薄薄的火星大气表明，平均风力发电机需要比地球上风力发电机强六倍的风力来产生相同数量的推力。\r\n \r\n通过能够从各个方向捕捉风的垂直轴风力发电机，而不是简单地水平，解决了利用火星上的小风的技术挑战。所使用的材料足够轻足以在比地球上弱得多的力量下自行起步。\r\n"},
	'encyclopedia_image', "UI/Encyclopedia/WindTurbine.tga",
	'entity2', "WindTurbineChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WindTurbine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_production', 50000,
	'bonus_per_kilometer_elevation', 100,
	'min_production_to_work', 0,
	'dust_storm_bonus_percent', 100,
	'great_dust_storm_bonus_percent', 200,
}),
PlaceObj('ModItemGameValue', {
	'name', "3days",
	'id', "SponsorFundingInterval",
	'amount', 3,
}),
PlaceObj('ModItemGameValue', {
	'name', "500MFromSponsor",
	'id', "SponsorFundingPerInterval",
	'amount', 500,
}),
PlaceObj('ModItemGameValue', {
	'name', "AndroidConstructionTime",
	'category', "Drone",
	'id', "AndroidConstructionTime",
	'percent', -90,
}),
PlaceObj('ModItemGameValue', {
	'name', "ColonistPerRocket",
	'id', "MaxColonistsPerRocket",
	'amount', 60,
}),
PlaceObj('ModItemGameValue', {
	'name', "DeepMetal",
	'id', "IsDeepMetalsExploitable",
	'percent', 1,
	'amount', 1,
}),
PlaceObj('ModItemGameValue', {
	'name', "DeepPreciousMetal",
	'id', "IsDeepPreciousMetalsExploitable",
	'percent', 1,
	'amount', 1,
}),
PlaceObj('ModItemGameValue', {
	'name', "DeepWater",
	'id', "IsDeepWaterExploitable",
	'percent', 1,
	'amount', 1,
}),
PlaceObj('ModItemGameValue', {
	'name', "Deepscan",
	'id', "DeepScanAvailable",
	'percent', 1,
	'amount', 1,
}),
PlaceObj('ModItemGameValue', {
	'name', "DroneConstructionTime",
	'category', "Drone",
	'id', "DroneConstructionTime",
	'percent', -90,
}),
PlaceObj('ModItemGameValue', {
	'name', "DroneGatherResourceWorkTime",
	'category', "Drone",
	'id', "DroneGatherResourceWorkTime",
	'percent', -90,
}),
PlaceObj('ModItemGameValue', {
	'name', "DroneMeteorMalfunctionChance",
	'category', "Drone",
	'id', "DroneMeteorMalfunctionChance",
	'percent', -100,
}),
PlaceObj('ModItemGameValue', {
	'name', "DroneRechargeTime",
	'category', "Drone",
	'id', "DroneRechargeTime",
	'percent', -100,
}),
PlaceObj('ModItemGameValue', {
	'name', "DroneResourceCarryAmount",
	'category', "Drone",
	'id', "DroneResourceCarryAmount",
	'amount', 5,
}),
PlaceObj('ModItemGameValue', {
	'name', "EMTime",
	'id', "TravelTimeEarthMars",
	'percent', -100,
}),
PlaceObj('ModItemGameValue', {
	'name', "ExportPrice",
	'id', "ExportPricePreciousMetals",
	'percent', 100,
}),
PlaceObj('ModItemGameValue', {
	'name', "FoodPerPassenger",
	'id', "FoodPerRocketPassenger",
	'amount', 10,
}),
PlaceObj('ModItemGameValue', {
	'name', "FundingGain",
	'id', "FundingGainsModifier",
	'percent', 100,
}),
PlaceObj('ModItemGameValue', {
	'name', "InstantCables",
	'id', "InstantCables",
	'percent', 1,
	'amount', 1,
}),
PlaceObj('ModItemGameValue', {
	'name', "InstantPipes",
	'id', "InstantPipes",
	'percent', 1,
	'amount', 1,
}),
PlaceObj('ModItemGameValue', {
	'name', "METime",
	'id', "TravelTimeMarsEarth",
	'percent', -100,
}),
PlaceObj('ModItemGameValue', {
	'name', "ProjectMorphiousPositiveTraitChance",
	'category', "Colonist",
	'id', "ProjectMorphiousPositiveTraitChance",
	'percent', 100,
}),
PlaceObj('ModItemGameValue', {
	'name', "RCRoverDroneRechargeCost",
	'category', "Rover",
	'id', "RCRoverDroneRechargeCost",
	'percent', -99,
}),
PlaceObj('ModItemGameValue', {
	'name', "RCRoverScanAnomalyTime",
	'category', "Rover",
	'id', "RCRoverScanAnomalyTime",
	'percent', -99,
}),
PlaceObj('ModItemGameValue', {
	'name', "RCRoverTransferResourceWorkTime",
	'category', "Rover",
	'id', "RCRoverTransferResourceWorkTime",
	'percent', -99,
}),
PlaceObj('ModItemGameValue', {
	'name', "RCTransportGatherResourceWorkTime",
	'category', "Rover",
	'id', "RCTransportGatherResourceWorkTime",
	'percent', -99,
}),
PlaceObj('ModItemGameValue', {
	'name', "RechargeStationTime",
	'category', "Buildings",
	'id', "RechargeStationTimeMod",
	'percent', -99,
}),
PlaceObj('ModItemGameValue', {
	'name', "ResearchPoint+1M",
	'category', "Research",
	'id', "SponsorResearch",
	'amount', 1000000,
}),
PlaceObj('ModItemGameValue', {
	'name', "RockToConcrete",
	'id', "WasteRockToConcreteRatio",
	'percent', 100,
}),
PlaceObj('ModItemMissionSponsor', {
	'name', "火星求存者",
	'display_name', T{332165894749, --[[ModItemMissionSponsor 火星求存者 display_name]] "火星求存者"},
	'challenge_mod', 100,
	'funding', 10000000,
	'funding_per_tech', 100,
	'funding_per_breakthrough', 100,
	'applicants_per_breakthrough', 100,
	'cargo', 100000000,
	'initial_rockets', 10,
	'rocket_price', 1000000,
	'applicants_price', 1000000,
	'initial_techs_unlocked', 100,
	'trait', "天才",
	'anomaly_bonus_breakthrough', range(100, 100),
	'anomaly_bonus_event', range(100, 100),
	'anomaly_bonus_free_tech', range(100, 100),
	'game_apply', function (self, city)
DiscoverTech("XenoExtraction")
DiscoverTech("AutonomousHubs")
DiscoverTech("AdvancedDroneDrive")
DiscoverTech("ArtificialMuscles")
DiscoverTech("ConstructionNanites")
DiscoverTech("EternalFusion")
DiscoverTech("CoreMetals")
DiscoverTech("CoreWater")
DiscoverTech("ExtractorAI")
DiscoverTech("MultispiralArchitecture")
DiscoverTech("SuperiorCables")
DiscoverRech("SuperiorPipes")
DiscoverTech("WirelessPower")
end,
	'RCRover', 3,
	'ExplorerRover', 3,
	'RCTransport', 5,
	'Drone', 30,
	'Concrete', 5000,
	'Metals', 5000,
	'Food', 5000,
	'Polymers', 5000,
	'MachineParts', 5000,
	'Electronics', 5000,
	'DroneHub', 2,
	'MoistureVaporator', 2,
	'FuelFactory', 2,
	'StirlingGenerator', 2,
	'MachinePartsFactory', 2,
	'ElectronicsFactory', 2,
	'PolymerPlant', 2,
	'OrbitalProbe', 100,
}),
}
